Create Address Locator in older version

3411
10
Jump to solution
05-27-2015 06:26 AM
TimWitt2
MVP Regular Contributor

Hey everybody,

An address locator that I have created in 10.0 has been corrupted and I am not able to rebuild it anymore. Since creating this address locator, we have migrated to 10.1. I have no problem recreating the address locator in 10.1 but the third party program we are using only runs if we use a 10.0 address locator.

I know you are able to create a new MXD in older version, is there a way to create an address locator in an older version?

Thanks,

Tim

0 Kudos
1 Solution

Accepted Solutions
ShanaBritt
Esri Regular Contributor

Tim-

I have used address locator styles that were created in version 10.0 and used it to build address locators in newer versions of the software. If you still have access to the ArcGIS Desktop 10.0 install,

  • Browse to C:\Program Files (x86)\ArcGIS\Desktop10.0\Locators folder and rename the USAddress.lot.xml.
  • Then copy it to the same ...\Locators folder on the machine with the newer version.
  • Change the file extension of the existing USAddress.lot.xml to USAddress.lot.lmx so that when you build the locator is does not reference this file to show you the list of available styles
  • When you build the new locator and look at the properties it should the version of the locator should be displayed in the description section.

Let me know how that works for you.

-Shana

View solution in original post

10 Replies
StanMcShinsky
Regular Contributor

Tim Witt

That is interesting. We are running arcgis server 10.2.1 and I created a locator in ArcGIS Pro that is a new style for 10.3 (single house with sub address) and published it to our server and it works just fine. From what I understand, all 10.x things work forward and back. I do remember that you can download old styles of locators and use them, but I guess that still does not solve your issue of saving it as an older version. It makes me wonder if there is a setting that was changed in the properties after the locator was created on the old one but not the new one. Just some thoughts.

-Stan

TimWitt2
MVP Regular Contributor

I was actually able to fix the issues in my old locators. But the question still remains.

0 Kudos
ShanaBritt
Esri Regular Contributor

Tim-

I have used address locator styles that were created in version 10.0 and used it to build address locators in newer versions of the software. If you still have access to the ArcGIS Desktop 10.0 install,

  • Browse to C:\Program Files (x86)\ArcGIS\Desktop10.0\Locators folder and rename the USAddress.lot.xml.
  • Then copy it to the same ...\Locators folder on the machine with the newer version.
  • Change the file extension of the existing USAddress.lot.xml to USAddress.lot.lmx so that when you build the locator is does not reference this file to show you the list of available styles
  • When you build the new locator and look at the properties it should the version of the locator should be displayed in the description section.

Let me know how that works for you.

-Shana

View solution in original post

TimWitt2
MVP Regular Contributor

Hey Shana,

So if I get my hands on a 10.0 USAddress.lot.xml I can import it into my 10.1 version and it will create 10.0 address locators?

Tim

0 Kudos
JoeBorgione
MVP Esteemed Contributor

TIm-  I am still running 10.0; say the word and I'll get you the file you need...

Joe

Tim Witt

can't wait to retire....
TimWitt2
MVP Regular Contributor

This might be helpful, I appreciate it!

0 Kudos
TimWitt2
MVP Regular Contributor

Shana Britt​ this worked like a charm! I was fortunate enough that I got the files i needed from Joe Borgione

First I made a backup of the old files in this folder, replaced them with the 10.0 files and created the address locator I was missing. Once that was done, I replaced the 10.0 files with the 10.1 files.

Again thanks a bunch!

ShanaBritt
Esri Regular Contributor

Tim:

I'm glad I was able to help and that you were able to get what you needed to in order to be successful.

Have a great day!

-Shana

0 Kudos
MichaelVolz
Esteemed Contributor

Do you have the ability of getting a version of the 3rd party software that can use newer address locator versions, as this is an anchor to future upgrades?

0 Kudos